## ros-indigo-fetcheus 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetcheus)

FIND_PROGRAM(LSB_RELEASE_EXECUTABLE lsb_release)
IF(LSB_RELEASE_EXECUTABLE)
  EXECUTE_PROCESS(COMMAND ${LSB_RELEASE_EXECUTABLE} -s -c
    OUTPUT_VARIABLE TMP_LSB_CODENAME
    OUTPUT_STRIP_TRAILING_WHITESPACE)
  STRING(TOLOWER ${TMP_LSB_CODENAME} LSB_CODENAME)
ENDIF()

if($ENV{ROS_DISTRO} STREQUAL "hydro" OR "${LSB_CODENAME}" STREQUAL "saucy" )
  message(STATUS "fetch is not supported on hydro and ${LSB_CODENAME}")
  find_package(catkin)
  catkin_package()
  return()
endif()

find_package(catkin REQUIRED fetch_description)

catkin_package()

###
### fetch.l generation
###
if(EXISTS ${fetch_description_PREFIX}/share/fetch_description/robots/fetch.urdf)
  set(fetch_urdf ${fetch_description_PREFIX}/share/fetch_description/robots/fetch.urdf)
elseif(EXISTS ${fetch_description_SOURCE_PREFIX}/robots/fetch.urdf)
  set(fetch_urdf ${fetch_description_SOURCE_PREFIX}/robots/fetch.urdf)
else()
  message(WARNING "Could not found fetch.urdf in ${fetch_description_PREFIX}/share/fetch_description/urdf/${urdf_version}/fetch.urdf and ${fetch_description_SOURCE_PREFIX}/urdf/${urdf_version}/fetch.urdf")
endif()
if (EXISTS ${fetch_urdf})
  message(STATUS "Found fetch.urdf at ${fetch_urdf}")
  add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/fetch.l
    COMMAND rosrun euscollada collada2eus fetch.dae fetch.yaml fetch.l
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    DEPENDS fetch.dae fetch.yaml)
  add_custom_command(OUTPUT ${PROJECT_SOURCE_DIR}/fetch.dae
    COMMAND rosrun collada_urdf urdf_to_collada ${fetch_urdf} fetch.dae
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    DEPENDS ${fetch_urdf})

  # get collada-dom version
  find_package(PkgConfig)
  pkg_check_modules(COLLADA collada-dom>=2.4.4 )
  if ( ${COLLADA_FOUND} )
    add_custom_target(generate_fetch_lisp ALL DEPENDS ${PROJECT_SOURCE_DIR}/fetch.l)
  else()
    pkg_check_modules(COLLADA collada-dom)
    message(WARNING "urdf_to_collada requries collada-dom >= 2.4.4, installed version is ${COLLADA_VERSION}")
  endif()
endif()

#############
## Install ##
#############

install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

install(FILES fetch.dae fetch.l fetch-interface.l fetch-utils.l fetch.yaml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

############
##  Test  ##
############

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/fetcheus.test)
  add_rostest(test/fetch-moveit.test)
endif()

=== debian/changelog ===
ros-indigo-fetcheus (1.1.0-1trusty) trusty; urgency=high

  * fetcheus/CMakeLists.txt : add install rule (#763 <https://github.com/jsk-ros-pkg/jsk_robot/issues/763>)
  * [Fetch] jsk_fetch_robot/fetcheus/fetch-interface.l :angle-vector,
    :angle-vector-sequence supports old API (#795 <https://github.com/jsk-ros-pkg/jsk_robot/issues/795> )
    * pass start-time to start-offset-time and support :start-time key
    * support :start-time key in angle-vector methods
    * pass start-time in start-offset-time
    * support old API
    * :angle-vector-sequence accept tms in list of time
    * add :angle-vector-sequence with moveit in fetcheus
    * update :angle-vector in fetch-interface
  * [fetcheus] disable gui in fetch-moveit.test (#778 <https://github.com/jsk-ros-pkg/jsk_robot/issues/778> )
    * disable gui in fetch-moveit.test
    * use simulation.launch instead of playground.launch
  * [fetch] Correct head orientation for look-at #771 <https://github.com/jsk-ros-pkg/jsk_robot/issues/771> (#773 <https://github.com/jsk-ros-pkg/jsk_robot/issues/773>)
    * Correct fetch head orientation
    * test/test-fetcheus.l: add test to check #771 <https://github.com/jsk-ros-pkg/jsk_robot/issues/771>
    * package.xml: add depends to pr2eus_moveit
  * [fetcheus] modify :reset-pose (#742 <https://github.com/jsk-ros-pkg/jsk_robot/issues/742>)
    * send *fetch* :torso :waist-z :joint-angle 20moveit need more space between base and elbow_flex_link
  * [fetch-robot] set effort to 40 in :go-grasp (#727 <https://github.com/jsk-ros-pkg/jsk_robot/issues/727> )
    * set effort to 40 in :go-grasp
  * fetch-interface.l : add args for :speak methods (#723 <https://github.com/jsk-ros-pkg/jsk_robot/issues/723>)
  * test/test-fetcheus.l: add test to check :angle-vector on kinematics simulator (#717 <https://github.com/jsk-ros-pkg/jsk_robot/issues/717> )
    * use :angle-vector-raw for simulation mode
    * test/test-fetcheus.l: add euslisp test to check :angle-vector on kinematics simulator
  * Contributors: Noya Yamaguchi, Guilherme-Affonso, Yuki Furuta, Kei Okada, Shingo Kitagawa

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-fetcheus (1.0.9-1trusty) trusty; urgency=high

  * add :speak methods to fetch-interface
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-fetcheus (1.0.8-1trusty) trusty; urgency=high

  * :angle-vector, add :clear-velocities t, this requries https://github.com/jsk-ros-pkg/jsk_pr2eus/pull/255
  * add test to check https://github.com/jsk-ros-pkg/jsk_robot/issues/702
  * :inverse-kinematics do not update link-list if given
  * use fetch-utils.l from fetch-interface.l
  * add fetch-utils.l
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-fetcheus (1.0.7-1trusty) trusty; urgency=high

  * set :use-torso as default behavior for :angle-vector
  * set base-controller-action-name nil
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-fetcheus (1.0.6-1trusty) trusty; urgency=high

  * feteus-interface.l : always use moveit within :angle-vector (#620 <https://github.com/jsk-ros-pkg/jsk_robot/issues/620>)
    * fetcheus: fetch-interface.l : always use moveit within :angle-vector
    * fetcheus : add test for fetch-moveit-interface
    * feetcheus : fix typo in fetcheus.test
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-fetcheus (1.0.5-1trusty) trusty; urgency=high

  * Control gripper from robot interface
  * Fix arm end coords of 'fetch.l'
    Modified:
    - jsk_fetch_robot/fetcheus/fetch.yaml
  * Contributors: Kentaro Wada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-fetcheus (1.0.4-1trusty) trusty; urgency=high

  * check collad-dom version before convert from urdf to collada
  * test/test-fetcheus.l: add test for fetch-interface
  * fetch-interface.l : fix robot-move-base-interface.l
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-fetcheus (1.0.3-1trusty) trusty; urgency=high

  * add jsk_fetch_robot package
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-fetcheus (1.0.2-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-fetcheus (1.0.1-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-fetcheus (1.0.0-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 06 Nov 2015 06:17:00 -0000

ros-indigo-fetcheus (0.0.13-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 06 Nov 2015 06:04:00 -0000

ros-indigo-fetcheus (0.0.12-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 06 Nov 2015 05:47:00 -0000

ros-indigo-fetcheus (0.0.11-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-fetcheus (0.0.10-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-fetcheus (0.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-fetcheus (0.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-fetcheus (0.0.7-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-fetcheus (0.0.6-1trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-fetcheus (0.0.5-1trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-fetcheus
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-fetch-description, ros-indigo-fetch-gazebo, ros-indigo-fetch-moveit-config, ros-indigo-pr2eus, ros-indigo-pr2eus-moveit, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-fetcheus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-fetch-description, ros-indigo-pr2eus, ros-indigo-pr2eus-moveit
Description: The fetcheus package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fetcheus//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
